psychopy.org | Reference | Downloads | Github

Builder view will not open

OS (e.g. Win10): Win 10
PsychoPy version (e.g. 1.84.x): v3.1.3
Standard Standalone? (y/n) If not then what?: Yes
What are you trying to achieve?:

To use builder view

What did you try to make it work?:

Nothing. It is beyond my abilities.

What specifically went wrong when you tried that?:

I was creating an experiment in builder view. In the experiment window I put the psychopy version to 3.1.3. After I did that I tries to run the experiment and I just started getting error messages. I think this is the problem, because I saw an error message related to psychopy version.
So, I have been wanting to upgrade to 3.1.5 and figured this was the time to do it. I uninstalled 3.1.3, restarted, and installed 3.1.5. Below is the error message that I now get. I couldn’t open builder view before I upgrade and still cannot after I upgraded.

Traceback (most recent call last):
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\psychopy\app_psychopyApp.py”, line 505, in showBuilder
self.newBuilderFrame()
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\psychopy\app_psychopyApp.py”, line 491, in newBuilderFrame
fileName=fileName, app=self)
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\psychopy\app\builder\builder.py”, line 1094, in init
self.fileNew(closeCurrent=False)
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\psychopy\app\builder\builder.py”, line 1640, in fileNew
self.exp = experiment.Experiment(prefs=self.app.prefs)
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\psychopy\experiment_experiment.py”, line 90, in init
self.settings = settingsComp(parentName=’’, exp=self)
File "C:\Program Files (x86)\PsychoPy3\lib\site-packages\psychopy\experiment\components\settings_init
.py", line 156, in init
+ _versionFilter(availableVersions(), wx.version),
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\psychopy\tools\versionchooser.py”, line 186, in versionOptions
for v in availableVersions(local=local)}),
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\psychopy\tools\versionchooser.py”, line 271, in availableVersions
return _localVersions(forceCheck)
File “C:\Program Files (x86)\PsychoPy3\lib\site-packages\psychopy\tools\versionchooser.py”, line 201, in _localVersions
env=constants.ENVIRON).decode(‘UTF-8’)
File “C:\Program Files (x86)\PsychoPy3\lib\subprocess.py”, line 336, in check_output
**kwargs).stdout
File “C:\Program Files (x86)\PsychoPy3\lib\subprocess.py”, line 418, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command ‘[‘git’, ‘tag’]’ returned non-zero exit status 128.

Found the solution

(subprocess.CalledProcessError: Command '['git', 'tag']' returned non-zero exit status 128)